explain_uname_or_die(3)

NAME
explain_uname_or_die - get information about current kernel and report errors

SYNOPSIS
#include <libexplain/uname.h>

void explain_uname_or_die(struct utsname *data);
int explain_uname_on_error(struct utsname *data);

DESCRIPTION
The explain_uname_or_die function is used to call the uname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_uname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_uname_on_error function is used to call the uname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_uname(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the uname(2) system call.

RETURN VALUE
The explain_uname_or_die function only returns on success, see uname(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_uname_on_error function always returns the value return by the wrapped uname(2) system call.

EXAMPLE
The explain_uname_or_die function is intended to be used in a fashion similar to the following example:
    explain_uname_or_die(data);

SEE ALSO

uname(2)
    get name and information about current kernel

explain_uname(3)
    explain uname(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2013 Peter Miller